#include "mainwindow.h"

using namespace std;

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{

    chrono.setInterval(40);
    connect(&chrono, SIGNAL(timeout()), this, SLOT(update()));
    chrono.start();

    for (int i=0; i < nSquares; i++)
        s[i] = new Square(100, 100, 50);
    for (int i=0; i < nCircles; i++)
        c[i] = new Circle(200, 200, 50);
}

MainWindow::~MainWindow()
{
    for (int i=0; i < nSquares; i++)
        delete s[i];
    for (int i=0; i < nCircles; i++)
        delete c[i];
}

void MainWindow::paintEvent(QPaintEvent* event)
{
    QMainWindow::paintEvent(event);
    QPainter painter(this);

    for (int i=0; i < nSquares; i++)
        s[i]->display(painter);
    for (int i=0; i < nCircles; i++)
        c[i]->display(painter);
}

void MainWindow::update()
{
    for (int i=0; i < nSquares; i++)
        s[i]->jiggle();
    for (int i=0; i < nCircles; i++)
    {
        c[i]->jiggle();
        c[i]->changeColor();
    }

    this->repaint();
}

