#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtGui>
#include <QTimer>

#include "shape.h"
#include "square.h"
#include "circle.h"

class MainWindow : public QMainWindow
{
        Q_OBJECT

    public:
        MainWindow(QWidget *parent = nullptr);
        ~MainWindow() override;

    protected:
        void paintEvent(QPaintEvent *event) override;

    private:
        QTimer chrono;
        constexpr static int nSquares = 5;
        constexpr static int nCircles = 10;
        Square* s[nSquares];
        Circle* c[nCircles];

    public slots:
        void update();
};
#endif // MAINWINDOW_H
